Veeva Site Connect: Distribute to Sites
This API allows sponsors and CROs to send Safety reports and letters to Sites. Learn more about Safety Distributions in Vault Help
POST
/api/{version}/app/clinical/safety_distributions/{id}/actions/sendHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{id} | The record ID of the Safety Distribution record to send. Must be in a Ready or Distributed state. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
https://myvault.veevavault.com/api/v26.1/app/clinical/safety_distributions/V56000000001004/actions/sendResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"job_id": 93601,
"message": "Distributing documents. You will receive a notification when processing is complete."
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
| Name | Description |
|---|---|
job_id | The Job ID value to retrieve the status and results of this request. Use this ID to query for the job status. |